
Ryzom - Bug # 901

Status: Closed Priority: Normal
Author: jayme Category: Services: General
Created: 05/14/2010 Assignee: vl
Updated: 05/28/2010 Due date:
Subject: nlstop() broken
Description

When building the server (with cmake) with CMAKE_BUILD_TYPE:STRING="Debug" some (maybe all) nlstop() calls trow an " error:
expected ‘;’ before ‘(’ token"-error.

e.g. code/ryzom/server/src/entities_game_service/creature_manager/creature.h:209:

        virtual void setMode( MBEHAV::TMode mode )
        {
                nlwarning("setting mode %s for a creature !!! Forbidden", mode.toString().c_str());
#ifdef NL_DEBUG
                nlstop("set mode %s for creature", mode.toString().c_str());
#endif
        }

History
#1 - 05/15/2010 09:41 am - vl
- Category set to Services: General
- Status changed from New to Assigned
- Assignee set to vl

#2 - 05/15/2010 09:53 am - vl
- Status changed from Assigned to Resolved
- % Done changed from 0 to 100

Applied in changeset r167.

#3 - 05/17/2010 10:31 am - jayme
- File nlstop_nlstopex.patch added

Here is another occurrence

#4 - 05/18/2010 10:22 am - vl
- Target version set to Version 0.8.0

#5 - 05/28/2010 05:24 pm - vl
- Status changed from Resolved to Closed

07/09/2015 1/2



Files
nlstop_nlstopex.patch 546 Bytes 05/17/2010 jayme
